Bug 21578 - bash2 fails to notice window size changes.
bash2 fails to notice window size changes.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-01 08:03 EST by David Woodhouse
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-03 14:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2000-12-01 08:03:33 EST
If a window size change occurs while a child is executing, bash2 won't get
the SIGWINCH and won't adjust its idea of the terminal size.

It should use TIOCGWINSZ to check the window size (just like the SIGWINCH
handler does) after anything which could have caused it to miss window size
changes.
Comment 1 Florian La Roche 2001-01-06 07:43:10 EST
There is an option to set in bash that changes the behaviour of bash
wrt SIGWINCH. Please look for checkwinsize.

Note You need to log in before you can comment on or make changes to this bug.